From 9f318a10ad47f60e32cedb60c1c6a969313eb50b Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 10 2020 06:44:02 +0000
Subject: [PATCH 239/2232] Show UniquePtr target type name in panics


---

diff --git a/src/unique_ptr.rs b/src/unique_ptr.rs
index ab8b9ef..b50e870 100644
--- a/src/unique_ptr.rs
+++ b/src/unique_ptr.rs
@@ -104,7 +104,7 @@ where
     fn deref(&self) -> &Self::Target {
         match self.as_ref() {
             Some(target) => target,
-            None => panic!("called deref on a null UniquePtr"),
+            None => panic!("called deref on a null UniquePtr<{}>", T::__NAME),
         }
     }
 }
@@ -116,7 +116,7 @@ where
     fn deref_mut(&mut self) -> &mut Self::Target {
         match self.as_mut() {
             Some(target) => target,
-            None => panic!("called deref_mut on a null UniquePtr"),
+            None => panic!("called deref_mut on a null UniquePtr<{}>", T::__NAME),
         }
     }
 }

